---
title: "Create banner proxy targeting"
type: reference
method: POST
path: /rest-api/banner/{bannerId}/targeting/proxy/create.do
tag: "Targeting Rules"
---

# Create banner proxy targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/targeting/proxy/create.do`

Creates a proxy targeting rule for the specified banner. Requires PROXY targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `7890` | Unique numeric ID of the banner |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `proxy` | string | yes | `VPN` | Proxy type to target: VPN, TOR, DCH (data center / hosting), PUB (public proxy), WEB (web proxy) or SES (search engine robot) |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Banner not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/7890/targeting/proxy/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'proxy=VPN'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-banner-targeting-proxy-create